Get a list of line items for supplier contracts

Prev Next
Get
/api/v1/contracts/supplier/contractlineitems

Get a list of line items for supplier contracts.

Get a list of line items for supplier contracts

This endpoint retrieves the list of predefined contract line items available for supplier contracts in Bloxs, such as planned maintenance, security services or cleaning services invoiced by the supplier.

This is a generic list that can be edited within the Bloxs application.

A developer calls this endpoint to look up the valid values before adding a contract line to a supplier contract, since lineItemName is one of the fields required when adding a contract line.


Request Fields

This endpoint takes no request fields.


Response Fields

Field

Type

Required

Description

lineItemName

string

Yes

The name of the line item. Maximum length 256 characters.

sortingIndex

integer (int32)

No

The order in which the line item is displayed in the Bloxs interface or on the invoice.

defaultDescription

string

No

The default description populated on new contract lines using this item. This can be overridden at the individual contract line level. Maximum length 512 characters.

ledgerAccountCode

string

No

The general ledger account code the line item posts to. Maximum length 12 characters.

Security
Responses
200

OK

Array of object
object
lineItemName
string
Min length0
Max length256
sortingIndex
integer (int32)
defaultDescription
string | null
Min length0
Max length512
ledgerAccountCode
string | null
Min length0
Max length12